package identity

import "crypto/ed25519"

const (
	IDENTIFIER_BYTE_LENGTH = 20
	PUBLIC_KEY_BYTE_LENGTH = ed25519.PublicKeySize
	SIGNATURE_BYTE_LENGTH  = ed25519.PublicKeySize + ed25519.SignatureSize

	MARSHALED_IDENTITY_PUBLIC_KEY_START  = 0
	MARSHALED_IDENTITY_PRIVATE_KEY_START = MARSHALED_IDENTITY_PUBLIC_KEY_END

	MARSHALED_IDENTITY_PUBLIC_KEY_SIZE  = PUBLIC_KEY_BYTE_LENGTH
	MARSHALED_IDENTITY_PRIVATE_KEY_SIZE = ed25519.PrivateKeySize

	MARSHALED_IDENTITY_PUBLIC_KEY_END  = MARSHALED_IDENTITY_PUBLIC_KEY_START + MARSHALED_IDENTITY_PUBLIC_KEY_SIZE
	MARSHALED_IDENTITY_PRIVATE_KEY_END = MARSHALED_IDENTITY_PRIVATE_KEY_START + MARSHALED_IDENTITY_PRIVATE_KEY_SIZE

	MARSHALED_IDENTITY_TOTAL_SIZE = MARSHALED_IDENTITY_PRIVATE_KEY_END
)
